%global momorel 2

Summary: 	A C++ interface for the libxml++
Name: 		libxml++
Version:	2.30.1
Release:	%{momorel}m%{?dist}
License: 	LGPL
Group: 		System Environment/Libraries
Source0:	ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/2.30/%{name}-%{version}.tar.bz2 
NoSource:	0
URL: 		http://gtkmm.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: glibmm-devel >= 2.22.1
BuildRequires: libxml2-devel

%description
This library provides a C++ interface to XML files.  It uses
libxml 2 to access the XML files, and in order to
configure libxml++ you must have both libxml and pkg-config installed.

%package	devel
Summary: 	Headers for developing programs that will use Gtk--.
Group: 		Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires:	libsigc++-devel
Requires:	glibmm-devel
Requires:	libxml2-devel

%description    devel
libxml++ devel

%prep
%setup -q

%build
%configure \
    --disable-static \
    --enable-silent-rules \
    --enable-examples \
    --enable-documentation
%make

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf --preserve-root %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_libdir}/lib*.so.*
%exclude %{_libdir}/lib*.la

%files  devel
%defattr(-, root, root)
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/libxml++-2.6
%dir %{_libdir}/libxml++-2.6
%dir %{_libdir}/libxml++-2.6/include
%{_libdir}/libxml++-2.6/include/libxml++config.h
%{_datadir}/doc/libxml++-2.6
%{_datadir}/devhelp/books/libxml++-2.6/libxml++-2.6.devhelp2

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (2.30.1-2m)
- full rebuild for mo7 release

* Wed May  5 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.30.1-1m)
- update to 2.30.1

* Wed Apr 14 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.30.0-1m)
- update to 2.30.0

* Mon Dec 28 2009 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (2.26.1-3m)
- delete __libtoolize hack

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.26.1-2m)
- rebuild against gcc-4.4 and glibc-2.11

* Thu Sep 24 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.26.1-1m)
- update to 2.26.1

* Fri Mar 20 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.26.0-1m)
- update to 2.26.0

* Thu Mar  5 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.24.3-1m)
- update to 2.24.3

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.24.2-2m)
- rebuild against rpm-4.6

* Tue Dec 23 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.24.2-1m)
- update to 2.24.2

* Sat Dec 13 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.24.1-1m)
- update to 2.24.1

* Tue Sep 23 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.24.0-1m)
- update to 2.24.0

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.22.0-2m)
- rebuild against gcc43

* Fri Mar  7 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.22.0-1m)
- update to 2.22.0

* Thu Feb 14 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (2.20.0-2m)
- %%NoSource -> NoSource

* Sun Jan 13 2008 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (2.20.0-2m)
- add patch for gcc43, generated by gen43patch(v1)

* Thu Sep 20 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.20.0-1m)
- update to 2.20.0

* Mon Jun 11 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.18.1-1m)
- update to 2.18.1

* Tue Mar 20 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.18.0-2m)
- To Main

* Tue Mar  6 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.18.0-1m)
- update to 2.18.0

* Fri Feb 16 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.17.2-1m)
- update to 2.17.2 (unstable)

* Sun Dec 31 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.14.0-1m)
- initial build
- TO.Alter
